{% extends "page_base.html" %}

{% block javascript %}
{{ super() }}
<script type="text/javascript" src="{{ url_for('static', filename='js/common.js') }}"></script>
<script type="text/javascript" src="{{ url_for('static', filename='js/formatting.js') }}"></script>
{% endblock %}

{% block content %}
<div id="homepage_columns">
    <div class="homepage_column">
        <div class="box">
            <h2>Vos tableaux :</h2>
            {% for subscription in current_user.subs if subscription.owner %}
                {% if loop.first %}
                    <h3>Tableaux dont vous êtes gérant</h3>
                {% endif %}
                {{ macros.show_board(subscription.board) }}
            {% endfor %}
            {% for subscription in current_user.subs if not subscription.owner %}
                {% if loop.first %}
                    <h3>Tableaux dont vous êtes membre</h3>
                {% endif %}
                {{ macros.show_board(subscription.board) }}
            {% endfor %}
            <a href="{{ url_for('board_settings.creation_page') }}">Créer un nouveau tableau</a>
        </div>
        {% include 'snippets/public_boards.html' %}
    </div>

    <div class="homepage_column">
        <div id="homepage_column_my_tasks" class="box">
            <h2>Tâches attribuées à vous :</h2>
            {% for task in assigned_tasks %}
                {%- if loop.changed(task.column.board_id) -%}
                    <h3>{{ task.column.board.name }}</h3>
                {%- endif -%}
                <a class="block-link" href="{{ task.column.board.get_url() }}#task_{{ task.id }}">
                    {{ macros.show_task(task, show_assigned=False) }}
                </a>
            {% else %}
                <p>Aucune tâche ne vous a été attribuée.</p>
            {% endfor %}
        </div>
    </div>
</div>

<script type="text/javascript" nonce="{{ csp_nonce }}">
    for (const node of $.class_('description')) {
        const src = node.innerText;
        $.empty(node);
        node.appendChild(parseBBCode(src));
    }
</script>
{% endblock %}
